Bug 445345 - mail-notification counting deleted messages
mail-notification counting deleted messages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 07:44 EDT by Jonathan Kamens
Modified: 2008-06-09 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5.4-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-09 23:12:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trace of mail-notification -i (sanitized) (13.68 KB, text/plain)
2008-05-07 23:18 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2008-05-06 07:44:36 EDT
In some recent update, mail-notification started treating deleted messages in an
IMAP inbox as new, but only some of the time.  For example:

1. The two newest messages in my inbox are read and deleted.  There are no
unread messages.
2. I receive a new message in my inbox.
3. Mail-notification now reports that I have three unread messages -- the new
one, and the two deleted ones.
4. When I read the unread message, mail-notification goes back to saying that I
have no unread messages, i.e., suddenly the deleted messages don't count again.

I have mail-notification-5.3-1.fc9.i386.

This is annoying behavior.
Comment 1 Dmitry Butskoy 2008-05-06 09:31:40 EDT
I've sent it upstream...
Comment 2 Dmitry Butskoy 2008-05-06 12:35:11 EDT
Is the example above repeatable?

Try to drop (temporary) mail-notification from the panel, then run it manually
from the cmdline with the `-i' option: "mail-notification -i". This should
provide IMAP session transcript, which I'll send upstream for further debug...
Comment 3 Jonathan Kamens 2008-05-07 23:18:41 EDT
Created attachment 304827 [details]
trace of mail-notification -i (sanitized)

Made sure there were no unread messages in either of my IMAP accounts.	Killed
mail-notification.  Ran mail-notification -i.  Sent myself a test message. 
Mail-notification reported 1 unread.  Read it.	Mail-notification went back to
no unread.  Sent myself a second test message.	Mail-notification reported 2
unread.  Read it.  Went back to no unread.  Sent myself a third test message. 
Mail-notification reported 3 unread.  Read it.	Went back to no unread.

Trace is attached.  Usernames, passwords, host names and domain names have been
sanitized.
Comment 4 Jean-Yves Lefort 2008-05-08 12:57:32 EDT
Thanks for the log. I have spotted the regression (MN now improperly considers
messages which are RECENT but not UNSEEN as new). It will be fixed in 5.4.
Comment 5 Bug Zapper 2008-05-14 06:42:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jonathan Kamens 2008-06-03 15:22:11 EDT
Somebody please rebuild the RPM with mail-notification 5.4, which has been released.
Comment 7 Dmitry Butskoy 2008-06-04 15:05:46 EDT
Try just built from:
http://kojipkgs.fedoraproject.org/packages/mail-notification/5.4/1.fc9/
Comment 8 Fedora Update System 2008-06-04 15:15:52 EDT
mail-notification-5.4-1.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-06-06 03:50:24 EDT
mail-notification-5.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mail-notification'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5027
Comment 10 Fedora Update System 2008-06-09 23:12:04 EDT
mail-notification-5.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.